Apache log4cxx Version @version@

Public Member Functions | List of all members
SocketOutputStream Class Reference

`#include <socketoutputstream.h>`

Inheritance diagram for SocketOutputStream:

## Public Member Functions
| SocketOutputStream (const SocketPtr &socket)
| ~SocketOutputStream ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (ByteBuffer &buf, Pool &p)
virtual void | close (Pool &p)=0
virtual void | flush (Pool &p)=0
virtual void | write (ByteBuffer &buf, Pool &p)=0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from OutputStream
| OutputStream ()
virtual | ~OutputStream ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

## ◆ SocketOutputStream()

SocketOutputStream | ( | const SocketPtr & | socket | ) |

## ◆ ~SocketOutputStream()

~SocketOutputStream | ( |  | ) |

## Member Function Documentation

## ◆ close()

virtual void close | ( | Pool & | p | ) |
| virtual

Implements OutputStream.

## ◆ flush()

virtual void flush | ( | Pool & | p | ) |
| virtual

Implements OutputStream.

## ◆ write()

virtual void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) |  |
| virtual

Implements OutputStream.

The documentation for this class was generated from the following file:

- socketoutputstream.h